Summary: GNU Common C++ class framework
Name: commoncpp2
Version: 1.7.3
Release: 1%{?dist}
License: GPLv2+ with exceptions
Group: System Environment/Libraries
Source0: http://www.gnutelephony.org/dist/tarballs/commoncpp2-%{version}.tar.gz
URL: http://www.gnu.org/software/commoncpp/
Patch0: commoncpp2-1.7.3-gcc44.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libxml2-devel, zlib-devel, doxygen

%description
GNU Common C++ is a portable and highly optimized class framework for writing
C++ applications that need to use threads, sockets, XML parsing,
serialization, config files, etc. This framework offers a class foundation
that hides platform differences from your C++ application so that you need
not write platform specific code. GNU Common C++ has been ported to compile
natively on most platforms which support posix threads.

%package devel
Summary: Header files and libraries for %{name} development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig, libxml2-devel, zlib-devel
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description devel
The %{name}-devel package contains the header files and libraries needed
to develop programs that use the %{name} library.


%prep
%setup -q
%patch0 -p1

%build
%configure \
	--disable-static \
	--disable-dependency-tracking
%{__make} #%%{?_smp_mflags} smp building disabled

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_infodir}/dir
find %{buildroot} -name '*.la' -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%post -n %{name}-devel
/sbin/install-info %{_infodir}/commoncpp2.info %{_infodir}/dir || :

%preun -n %{name}-devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/commoncpp2.info %{_infodir}/dir || :
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README ChangeLog
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%dir %{_includedir}/cc++
%{_includedir}/cc++/*
%{_bindir}/ccgnu2-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/libccext2.pc
%{_libdir}/pkgconfig/libccgnu2.pc
%{_datadir}/aclocal/ost_check2.m4
%{_infodir}/commoncpp2.info*

%changelog
* Mon Apr 06 2009 Andreas Thienemann <andreas@bawue.net> - 1.7.3-1
- Updated to new upstream version 1.7.3

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jul 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.6.1-2
- fix license tag

* Wed Feb 06 2008 Andreas Thienemann <andreas@bawue.net> - 1.6.1-1
- Updated to new upstream version 1.6.1
- Reverted the ld-check patch as it's no longer needed

* Fri Nov 10 2006 Andreas Thienemann <andreas@bawue.net> - 1.5.0-1
- Updated package to 1.5.0

* Sun May 28 2006 Andreas Thienemann <andreas@bawue.net> - 1.4.2-1
- Updated to 1.4.2

* Sun May 28 2006 Andreas Thienemann <andreas@bawue.net> - 1.4.1-1
- Updated to 1.4.1

* Sun Feb 05 2006 Andreas Thienemann <andreas@bawue.net> - 1.3.23-1
- Incorporated suggestions for extras

* Fri Feb 03 2006 Andreas Thienemann <andreas@bawue.net> - 1.3.22-1
- Initial spec.
